For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • GET/account-details
        • Field Mapping
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Linked AccountAccount details

/account-details

GET
/knowledgebase/v1/account-details
GET
/api/knowledgebase/v1/account-details
$curl https://api.merge.dev/api/knowledgebase/v1/account-details \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "0496d4c2-42e6-4072-80b3-7b69bfdc76fd",
3 "integration": "BambooHR",
4 "integration_slug": "bamboohr",
5 "category": "hris",
6 "end_user_origin_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
7 "end_user_organization_name": "Waystar Royco",
8 "end_user_email_address": "kendall.roy@waystar-royco.com",
9 "status": "COMPLETE",
10 "webhook_listener_url": "https://api.merge.dev/api/integrations/webhook-listener/7fc3mee0UW8ecV4",
11 "is_duplicate": true,
12 "account_type": "PRODUCTION",
13 "completed_at": "2024-08-26T20:11:19.277118Z"
14}
Get details for a linked account.
Was this page helpful?
Previous

/users/{id}

Next

/account-token/{public_token}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Response

idstringRead-onlyformat: "uuid"
integrationstringRead-only
integration_slugstringRead-only
categoryenum or null
  • hris - hris
  • ats - ats
  • accounting - accounting
  • ticketing - ticketing
  • crm - crm
  • mktg - mktg
  • filestorage - filestorage
  • knowledgebase - knowledgebase
end_user_origin_idstringRead-only
end_user_organization_namestringRead-only
end_user_email_addressstringRead-onlyformat: "email"
statusstringRead-only
webhook_listener_urlstringRead-onlyformat: "uri"
is_duplicateboolean or nullRead-only

Whether a Production Linked Account’s credentials match another existing Production Linked Account. This field is null for Test Linked Accounts, incomplete Production Linked Accounts, and ignored duplicate Production Linked Account sets.

account_typestringRead-only
completed_atdatetime or null
The time at which account completes the linking flow.